2018-09-22 09:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002486NetSurfCore-specificpublic2018-08-29 15:02
ReporterAnthony J. Bentley 
Assigned To 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSOpenBSDOS Version
Product Version3.6 
Target Version3.8Fixed in Version3.8 
Summary0002486: SVG rendering broken
DescriptionSVG images are not rendered correctly in netsurf-gtk/librsvg. The leftmost portion of every SVG I've tried has wrong colors, and the rightmost portion has other (still wrong) colors.

There appear to be endianness issues as well.
TagsNo tags attached.
Fixed in CI build #4289
Reported in CI build #
URL of problem pagehttps://upload.wikimedia.org/wikipedia/commons/f/fd/Ghostscript_Tiger.svg
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001833

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2016-12-04 03:18 Anthony J. Bentley New Issue
2016-12-04 03:18 Anthony J. Bentley File Added: amd64.png
2016-12-04 03:19 Anthony J. Bentley File Added: powerpc.png
2016-12-31 12:30 Vincent Sanders Status new => acknowledged
2018-01-21 00:15 John-Mark Bell Status acknowledged => resolved
2018-01-21 00:15 John-Mark Bell Resolution open => fixed
2018-01-21 00:15 John-Mark Bell Fixed in Version => 3.8
2018-01-21 00:15 John-Mark Bell Target Version => 3.8
2018-01-21 00:15 John-Mark Bell Fixed in CI build # => 4289
2018-08-29 15:01 Vincent Sanders Note Added: 0001833
2018-08-29 15:02 Vincent Sanders Status resolved => closed
+Issue History